## Package org.firebirdsql.jdbc.field

Interface Summary
FBFlushableField: Instances of this field cache data in auto-commit case if no transaction is yet available and must be flushed before transaction is committed.
FieldDataProvider: Provider of the row data.

Class Summary
FBBigDecimalField: Describe class `FBBigDecimalField` here.
FBBlobField: Describe class `FBBlobField` here.
FBCachedBlobField: Describe class `FBBlobField` here.
FBCachedLongVarCharField: This is Blob-based implementation of `FBStringField` for auto-commit case.
FBField: Describe class `FBField` here.
FBLongVarCharField: This is Blob-based implementation of `FBStringField`.
FBStringField: Describe class `FBStringField` here.
FBWorkaroundStringField: Class implementing workaround for "operation was cancelled" bug in server.

Exception Summary
TypeConvertionException: This exception is thrown when the requested type conversion cannot be performed.

Copyright © 2001-2010. All Rights Reserved.